package com.jiuqi.sql;

import java.io.OutputStream;
import java.util.Date;

public interface OutputRecordBuffer {
   void writeRecord(OutputStream var1) throws DBException;

   void clearBuffer() throws DBException;

   void writeBoolean(FieldInfo var1, boolean var2) throws DBException;

   void writeDouble(FieldInfo var1, double var2) throws DBException;

   void writeInt(FieldInfo var1, int var2) throws DBException;

   void writeString(FieldInfo var1, String var2) throws DBException;

   void writeLong(FieldInfo var1, long var2) throws DBException;

   void writeDate(FieldInfo var1, Date var2) throws DBException;

   void writeNull(FieldInfo var1) throws DBException;
}
